import React from 'react';
import './ItemDisplay.css';

// a stateless component implemented as an arrow function that receives a props object holding
// the state and or functions passed to this component.
const ItemDisplay = (props) => {
    let response = (props.items.map((todoItem, idx) => {
        return <div key={idx} className="Item-display-row">
            <p>
                <button type="button" className="btn btn-danger mb-2" title="Delete item" onClick={() => props.deleteItem(idx)}>
                    <i className="fa fa-close"></i>
                </button>
                <span className="Item-display-row-text">{todoItem}</span>
            </p>
        </div>
    }));

    return (<div className="Item-display">{response}</div>);
};

export default ItemDisplay;